"use strict";

var _immutable = require("immutable");

var _index = require("../index");

describe('BankSelection Container', function () {
  var fakeState = (0, _immutable.fromJS)({
    banks: {
      1: {
        id: '1'
      }
    },
    ui: {
      SELECT_BANKS_OPTIONS: ['1']
    }
  });
  it('gets the banks', function () {
    var newProps = (0, _index.mapStateToProps)(fakeState, {});
    expect(newProps.banks.size).to.eq(1);
    expect(newProps.banks.first().id).to.eq('1');
  });
});